package com.vincenzomanzoni.barbiere;

public class Cliente extends Thread {

  static int progressivo = 0;

  Atrio atrio;
  AreaTaglio at;

  public Cliente(Atrio a, AreaTaglio b) {
    progressivo++;
    atrio = a;
    at = b;
    super.setName("Cliente " + progressivo);
  }

  public void run() {
    atrio.entroNelNegozio();
    pausa(1); // osserva i tagli alla moda
    atrio.miSiedoSulDivano();
    pausa(2); // legge una rivista
    at.vadoAlTaglio();
    pausa(6); // sceglie il taglio e lo subisce
    /* while (Math.random() < 0.75) {
       chiediRitocco();
       pausa(1); // decide se gli piace
    }  */
  }


  // pausa da 0 a n secondi
  private void pausa(int durata_max_secondi) {
    try { sleep((int)(Math.random() * 1000 * durata_max_secondi)); }
    catch (InterruptedException e) { }
  }

}
