package com.vincenzomanzoni.barbiere;

public class Barbiere extends Thread {

  AreaTaglio at;

  public Barbiere(int i, AreaTaglio a) {
    super.setName("Barbiere " + i);
    at = a;
  }

  public void run() {
    while (true) {
      at.inizioTaglio();
      pausa(1);
      at.congedoCliente();
      pausa(1);
    }
  }

  private void pausa(int durata_max_secondi) {
    try { sleep((int)(Math.random() * 1000 * durata_max_secondi)); }
    catch (InterruptedException e) { }
  }

}
